<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::http_client Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1http__client.html">http_client</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1http__client-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::http_client Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a34383699ca9b51baf3467a7c19244761"><td class="memItemLeft" align="right" valign="top"><a id="a34383699ca9b51baf3467a7c19244761"></a>
typedef std::map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>stringmap</b></td></tr>
<tr class="separator:a34383699ca9b51baf3467a7c19244761"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae938b50ad856a1d2bc6ab6bd99aa12ec"><td class="memItemLeft" align="right" valign="top"><a id="ae938b50ad856a1d2bc6ab6bd99aa12ec"></a>
typedef std::map&lt; std::string, stringmap &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>string_to_stringmap</b></td></tr>
<tr class="separator:ae938b50ad856a1d2bc6ab6bd99aa12ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a5b5612513885957dd29174661e5fd7"><td class="memItemLeft" align="right" valign="top"><a id="a4a5b5612513885957dd29174661e5fd7"></a>
typedef std::map&lt; std::string, std::vector&lt; std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>string_to_stringvector</b></td></tr>
<tr class="separator:a4a5b5612513885957dd29174661e5fd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa50a03f195ba8f831daf44155c063ea8"><td class="memItemLeft" align="right" valign="top"><a id="aa50a03f195ba8f831daf44155c063ea8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_header</b> (const std::string &amp;header_name, const std::string &amp;header_value)</td></tr>
<tr class="separator:aa50a03f195ba8f831daf44155c063ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d16a0b9efc622fb3fedc010a0d9c7b7"><td class="memItemLeft" align="right" valign="top"><a id="a8d16a0b9efc622fb3fedc010a0d9c7b7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_header</b> (const std::string &amp;header_name, long header_value)</td></tr>
<tr class="separator:a8d16a0b9efc622fb3fedc010a0d9c7b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3629d6f2caf97cf24be66ef80247b8c"><td class="memItemLeft" align="right" valign="top"><a id="ad3629d6f2caf97cf24be66ef80247b8c"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>get_header</b> (const std::string &amp;header_name) const</td></tr>
<tr class="separator:ad3629d6f2caf97cf24be66ef80247b8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01d17f09798bf290a91ab5b93cc37ac8"><td class="memItemLeft" align="right" valign="top"><a id="a01d17f09798bf290a91ab5b93cc37ac8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_header</b> (const std::string &amp;header_name)</td></tr>
<tr class="separator:a01d17f09798bf290a91ab5b93cc37ac8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14a9ca944f54c25d4308346ac247ec84"><td class="memItemLeft" align="right" valign="top"><a id="a14a9ca944f54c25d4308346ac247ec84"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_header_set</b> (const std::string &amp;header_name) const</td></tr>
<tr class="separator:a14a9ca944f54c25d4308346ac247ec84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e7a27cdb2481e384de4cf0c3d9f5e19"><td class="memItemLeft" align="right" valign="top"><a id="a6e7a27cdb2481e384de4cf0c3d9f5e19"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clear</b> ()</td></tr>
<tr class="separator:a6e7a27cdb2481e384de4cf0c3d9f5e19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff75fb2228bf52709f6c8fd50d447ee3"><td class="memItemLeft" align="right" valign="top"><a id="aff75fb2228bf52709f6c8fd50d447ee3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>prepare_for_next_url</b> ()</td></tr>
<tr class="separator:aff75fb2228bf52709f6c8fd50d447ee3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a905b2e9371378c3084b2abb875519cdf"><td class="memItemLeft" align="right" valign="top"><a id="a905b2e9371378c3084b2abb875519cdf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_callback_function</b> (fnOnDownload od, void *_user_info)</td></tr>
<tr class="separator:a905b2e9371378c3084b2abb875519cdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2afa197f16862b677c1001bb02e205a"><td class="memItemLeft" align="right" valign="top"><a id="aa2afa197f16862b677c1001bb02e205a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_cookie</b> (const std::string &amp;cookie_name, const std::string &amp;cookie_value)</td></tr>
<tr class="separator:aa2afa197f16862b677c1001bb02e205a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a792a586df78ce0249440ad208ba4d4"><td class="memItemLeft" align="right" valign="top"><a id="a9a792a586df78ce0249440ad208ba4d4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_cookie</b> (const std::string &amp;cookie_name, long cookie_value)</td></tr>
<tr class="separator:a9a792a586df78ce0249440ad208ba4d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a184511ce9b1c5d425827d9b85c6ec992"><td class="memItemLeft" align="right" valign="top"><a id="a184511ce9b1c5d425827d9b85c6ec992"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_cookie</b> (const std::string &amp;cookie_name)</td></tr>
<tr class="separator:a184511ce9b1c5d425827d9b85c6ec992"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66e1d3a836ba645be923106eca37d39b"><td class="memItemLeft" align="right" valign="top"><a id="a66e1d3a836ba645be923106eca37d39b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_user_agent</b> (const std::string &amp;new_agent)</td></tr>
<tr class="separator:a66e1d3a836ba645be923106eca37d39b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88120cf8531b4343ba3febb11a34a193"><td class="memItemLeft" align="right" valign="top"><a id="a88120cf8531b4343ba3febb11a34a193"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_timeout</b> (unsigned int milliseconds=DEFAULT_TIMEOUT)</td></tr>
<tr class="separator:a88120cf8531b4343ba3febb11a34a193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08211cd9593375c4b26dfc84ef439f5c"><td class="memItemLeft" align="right" valign="top"><a id="a08211cd9593375c4b26dfc84ef439f5c"></a>
string_to_stringvector&#160;</td><td class="memItemRight" valign="bottom"><b>get_returned_headers</b> () const</td></tr>
<tr class="separator:a08211cd9593375c4b26dfc84ef439f5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b5e45cd679f1690fa060de3248d8f1e"><td class="memItemLeft" align="right" valign="top"><a id="a2b5e45cd679f1690fa060de3248d8f1e"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><b>get_http_return</b> () const</td></tr>
<tr class="separator:a2b5e45cd679f1690fa060de3248d8f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae99c3c4b8144f54c23a07c43000455f1"><td class="memItemLeft" align="right" valign="top"><a id="ae99c3c4b8144f54c23a07c43000455f1"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_body</b> () const</td></tr>
<tr class="separator:ae99c3c4b8144f54c23a07c43000455f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0b14191aa24ef0903cd38be1e015a3f"><td class="memItemLeft" align="right" valign="top"><a id="af0b14191aa24ef0903cd38be1e015a3f"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>post_url</b> (const std::string &amp;url, const string_to_stringmap &amp;postvars, const string_to_stringmap &amp;filenames=string_to_stringmap())</td></tr>
<tr class="separator:af0b14191aa24ef0903cd38be1e015a3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa004d509434964dc2742fede21b86ee2"><td class="memItemLeft" align="right" valign="top"><a id="aa004d509434964dc2742fede21b86ee2"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>post_url</b> (const std::string &amp;url, const std::string &amp;postbuffer)</td></tr>
<tr class="separator:aa004d509434964dc2742fede21b86ee2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbb4cc12acff133d7a1e0f660b26b6ac"><td class="memItemLeft" align="right" valign="top"><a id="afbb4cc12acff133d7a1e0f660b26b6ac"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_url</b> (const std::string &amp;url)</td></tr>
<tr class="separator:afbb4cc12acff133d7a1e0f660b26b6ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a220f29d8c4729e3462ba1ab4fa99491f"><td class="memItemLeft" align="right" valign="top"><a id="a220f29d8c4729e3462ba1ab4fa99491f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_error</b> () const</td></tr>
<tr class="separator:a220f29d8c4729e3462ba1ab4fa99491f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebbb98001b681e6883abcb9a377559a9"><td class="memItemLeft" align="right" valign="top"><a id="aebbb98001b681e6883abcb9a377559a9"></a>
const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_error</b> () const</td></tr>
<tr class="separator:aebbb98001b681e6883abcb9a377559a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a4a862ce6c01ebd5b96f8cfafa48ee8f4"><td class="memItemLeft" align="right" valign="top"><a id="a4a862ce6c01ebd5b96f8cfafa48ee8f4"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>urlencode</b> (const std::string &amp;in, bool post_encode=false)</td></tr>
<tr class="separator:a4a862ce6c01ebd5b96f8cfafa48ee8f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f432657c1b9bf3ec880dde2874f9fdf"><td class="memItemLeft" align="right" valign="top"><a id="a3f432657c1b9bf3ec880dde2874f9fdf"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>urldecode</b> (const std::string &amp;in)</td></tr>
<tr class="separator:a3f432657c1b9bf3ec880dde2874f9fdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae24f834d449faa7deae3e54d6844f9a9"><td class="memItemLeft" align="right" valign="top"><a id="ae24f834d449faa7deae3e54d6844f9a9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>grab_url</b> (const std::string &amp;url, const std::string &amp;method=&quot;GET&quot;, const std::string &amp;post_body=&quot;&quot;)</td></tr>
<tr class="separator:ae24f834d449faa7deae3e54d6844f9a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab82a088414d45a4cbd07b03af10ae201"><td class="memItemLeft" align="right" valign="top"><a id="ab82a088414d45a4cbd07b03af10ae201"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>build_post</b> (std::string &amp;content_type, const string_to_stringmap &amp;postvars, const string_to_stringmap &amp;filenames) const</td></tr>
<tr class="separator:ab82a088414d45a4cbd07b03af10ae201"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d79cc6e38b66caccc466d7826b7b02e"><td class="memItemLeft" align="right" valign="top"><a id="a5d79cc6e38b66caccc466d7826b7b02e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>get_random_string</b> (size_t length=32) const</td></tr>
<tr class="separator:a5d79cc6e38b66caccc466d7826b7b02e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade218f66b8429c0761e6618b55d701fa"><td class="memItemLeft" align="right" valign="top"><a id="ade218f66b8429c0761e6618b55d701fa"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>get_basename</b> (const std::string &amp;filename) const</td></tr>
<tr class="separator:ade218f66b8429c0761e6618b55d701fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4f7b987808ad04ce654b4b825335a38"><td class="memItemLeft" align="right" valign="top"><a id="ac4f7b987808ad04ce654b4b825335a38"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>strtolower</b> (const std::string &amp;in) const</td></tr>
<tr class="separator:ac4f7b987808ad04ce654b4b825335a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fe3beffb3576da4795927c71be8623b"><td class="memItemLeft" align="right" valign="top"><a id="a0fe3beffb3576da4795927c71be8623b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>strtoupper</b> (const std::string &amp;in) const</td></tr>
<tr class="separator:a0fe3beffb3576da4795927c71be8623b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a78172650df8de4eef912c2c5e9be58"><td class="memItemLeft" align="right" valign="top"><a id="a4a78172650df8de4eef912c2c5e9be58"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>parse_url</b> (const std::string &amp;url, std::string &amp;scheme, std::string &amp;user, std::string &amp;pass, std::string &amp;host, short &amp;port, std::string &amp;path) const</td></tr>
<tr class="separator:a4a78172650df8de4eef912c2c5e9be58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a257a8ddb3f544d46fceec429850af2a3"><td class="memItemLeft" align="right" valign="top"><a id="a257a8ddb3f544d46fceec429850af2a3"></a>
stringmap&#160;</td><td class="memItemRight" valign="bottom"><b>headers</b></td></tr>
<tr class="separator:a257a8ddb3f544d46fceec429850af2a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affa2d6bd3372e243fdf05d6d3c285553"><td class="memItemLeft" align="right" valign="top"><a id="affa2d6bd3372e243fdf05d6d3c285553"></a>
stringmap&#160;</td><td class="memItemRight" valign="bottom"><b>cookies</b></td></tr>
<tr class="separator:affa2d6bd3372e243fdf05d6d3c285553"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81e7a9d9c8618067dc13885f386fc11a"><td class="memItemLeft" align="right" valign="top"><a id="a81e7a9d9c8618067dc13885f386fc11a"></a>
string_to_stringvector&#160;</td><td class="memItemRight" valign="bottom"><b>returned_headers</b></td></tr>
<tr class="separator:a81e7a9d9c8618067dc13885f386fc11a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a6f334c5914fe6809729949da96f1e"><td class="memItemLeft" align="right" valign="top"><a id="ab3a6f334c5914fe6809729949da96f1e"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><b>http_return</b></td></tr>
<tr class="separator:ab3a6f334c5914fe6809729949da96f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13baac03379c79d0b3037c57b1e36e46"><td class="memItemLeft" align="right" valign="top"><a id="a13baac03379c79d0b3037c57b1e36e46"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>returned_body</b></td></tr>
<tr class="separator:a13baac03379c79d0b3037c57b1e36e46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f100eedcdd258678aa299d56cae37a0"><td class="memItemLeft" align="right" valign="top"><a id="a7f100eedcdd258678aa299d56cae37a0"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>error_field</b></td></tr>
<tr class="separator:a7f100eedcdd258678aa299d56cae37a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb10604fe6dc85a50beb88492e89d789"><td class="memItemLeft" align="right" valign="top"><a id="abb10604fe6dc85a50beb88492e89d789"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>timeout</b></td></tr>
<tr class="separator:abb10604fe6dc85a50beb88492e89d789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80c9ebe077833da23d7f00e9f05261dc"><td class="memItemLeft" align="right" valign="top"><a id="a80c9ebe077833da23d7f00e9f05261dc"></a>
fnOnDownload&#160;</td><td class="memItemRight" valign="bottom"><b>OnDownload</b></td></tr>
<tr class="separator:a80c9ebe077833da23d7f00e9f05261dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab42cf0a6a5b76ca0076398d05eed65d7"><td class="memItemLeft" align="right" valign="top"><a id="ab42cf0a6a5b76ca0076398d05eed65d7"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><b>user_info</b></td></tr>
<tr class="separator:ab42cf0a6a5b76ca0076398d05eed65d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="http__client_8h_source.html">http_client.h</a></li>
<li>http_client.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
